|  | ## Cheshire3 Object Model: Class WordExpansionNormalizer

Module normalizer :: Class WordExpansionNormalizer

## Class WordExpansionNormalizer
source code

Object Tree:

               object --+
                        |
    configParser.C3Object --+
                            |
       baseObjects.Normalizer --+
                                |
                 SimpleNormalizer --+
                                    |
                                   WordExpansionNormalizer

Instance Methods

process_string(self, session, data) Process a string into an alternative form.
process_hash(self, session, data) Process a hash of values into alternative forms.
Inherited from `SimpleNormalizer`: `__init__` Inherited from `configParser.C3Object`: `auth_function`, `get_config`, `get_default`, `get_object`, `get_path`, `get_setting`, `log_function`, `unauth_function`, `unlog_function` Inherited from `configParser.C3Object` (private): `_getDomFromFile`, `_handleConfigNode`, `_parseIncludes`, `_recurseSubConfigs`, `_verifyDefault`, `_verifyOption`, `_verifySetting` Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Class Variables

map |
Inherited from `configParser.C3Object`: `configStore`, `defaults`, `functionLogger`, `id`, `name`, `objectType`, `objects`, `parent`, `paths`, `permissionHandlers`, `settings`, `subConfigs`, `unresolvedObjects` Inherited from `configParser.C3Object` (private): `_includeConfigStores`, `_objectRefs` Inherited from `object`: `__class__`

Method Details

### process_string(self, session, data) | source code
Process a string into an alternative form. Overrides: SimpleNormalizer.process_string

### process_hash(self, session, data) | source code
Process a hash of values into alternative forms. Overrides: SimpleNormalizer.process_hash

Class Variable Details

    ### map Value:
        {'SOAP': ['Simple', 'Object', 'Access', 'Protocol'],
         'SRW': ['Search', 'Retrieve', 'Webservice'],
         'UK': ['United', 'Kingdom'],
         'USA': ['United', 'States', 'of', 'America'],
         'XML': ['Extensible', 'Markup', 'Language']}